      subroutine errbnd (error,ifield)
c
c=======================================================================
c                                                                    ===
c  This routine ensures that the given error field remains bounded   ===
c  by its original limits.                                           ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     ERROR    Original error field.   (real array)                  ===
c     IFIELD   Field index.            (integer)                     ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /IOI/                                                             ===
c                                                                    ===
c     OERRMAX   maximum observation error value.   (real array)      ===
c     OERRMIN   minimum observation error value.   (real array)      ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     ERROR    Re-bound error field.   (real array)                  ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <param.h>
#include <ioi.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,ifield,k
      FLOAT
     &      error(imt,km)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 10 k = 1, km
      do 10 i = 1, imt
         error(i,k) = min( max(error(i,k),oerrmin(ifield,k)),
     &                     oerrmax(ifield,k) )
  10  continue
c
      return
      end
