      subroutine swaperr (err,errb)
c
c=======================================================================
c                                                                    ===
c  This routine swaps the the two error fields.                      ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     ERR     Error field at current time.      (real array)         ===
c     ERRB    Error field at previous time.     (real array)         ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     ERR     Error field at previous time.     (real array)         ===
c     ERRB    Error field at current time.      (real array)         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <param.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,k
      FLOAT
     &      temp
      FLOAT
     &      err(imt,km),errb(imt,km)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 30 k = 1, km
      do 30 i = 1, imt
         temp      = errb(i,k)
         errb(i,k) = err(i,k)
         err(i,k)  = temp
  30  continue
c
      return
      end
